---
title: RTCRtpReceiveParameters
slug: Web/API/RTCRtpReceiveParameters
tags:
  - API
  - Configuration
  - Dictionary
  - Media
  - Options
  - RTCRtpReceiveParameters
  - RTP
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - parameters
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The <code><strong>RTCRtpReceiveParameters</strong></code> dictionary, based upon the {{domxref("RTCRtpParameters")}} dictionary, is returned by the {{domxref("RTCRtpReceiver")}} method {{domxref("RTCRtpReceiver.getParameters", "getParameters()")}}. It describes the parameters being used by the receiver's {{Glossary("RTP")}} connection to the remote peer.</p>

<h2 id="Properties">Properties</h2>

<p><em>This dictionary currently has no properties of its own; it exists for future expansion. It inherits all of the properties of its parent, {{domxref("RTCRtpParameters")}}.</em></p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/RTCRtpReceiver/getParameters", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpreceiveparameters','RTCRtpReceiveParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpReceiveParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCRtpSendParameters")}} and {{domxref("RTCRtpSender.setParameters()")}}</li>
</ul>
